Subject: RE: zImage.elf loads but does not start

From: Mirek23 <[email-masked]>
Date: Thu, 10 May 2007 01:45:09 -0700 (PDT)

Thank you for all of the advices.
I did more study on that problem but still without the success.

1. I did redd the ELDK manual and I have invoked :
ELDK_FIXOWNER
ELDK_MAKEDEV

in the "dev" directory there were created many nodes like that:

crw-rw-rw-    1 root     root       5,   1 May  8 15:42 console
crw-rw-rw-    1 root     root       4,  64 May  8 15:42 ttyS0

In the kernel command line configuration I have the entry :
CONFIG_CMDLINE="console=ttyUL0,9600 root=/dev/nfs rw nfsroo ...

so I have created by hand the node:
crw-rw-rw-    1 root     root     204, 187 May  8 15:44 ttyUL0

Unfortunately the kernel boots to the point:

[    9.130834] Looking up port of RPC 100003/2 on 129.129.130.106
[    9.207363] Looking up port of RPC 100005/1 on 129.129.130.106
[    9.303794] VFS: Mounted root (nfs filesystem).
[    9.359316] Freeing unused kernel memory: 96k init

and after that it hangs.

I have made some modifications to the kernel init/main.c file. In that file
I have inserted the printk statements to
see how far the kernel goes. It seems to be that the last thing it does it
executes the sbin/init command and it hangs.

Instead of the sbin/init I have tried to execute other commands like
bin/echo this_is_text_string
and bin/echo this_is_test >> /var/log/messages

the modification looks like (init/main.c):
before modification:
        printk("test 3\n");
        run_init_process("/sbin/init");
        printk("test 4\n");
after modification
        printk("test 3\n");
        run_init_process("/bin/echo ala");
        run_init_process("/bin/echo buba >> /var/log/messages");
        printk("test 4\n");

In both cases the last thing which was printed is "test 3"
The /var/log/messages remains empty.

I thought that it might be the uart_lite driver is the source of the
problem. I rebuild the kernel configuring it for the
standard UART driver instead of the uart_lite.
This time my command line looks like:
CONFIG_CMDLINE="console=ttyS0,9600 root=/dev/nfs rw nfsroo ...

When booting the kernel configured with the UART  I see anything printed  
on the screen so it is even worse than before.

Do you have any suggestions.

Best Regards

Mirek

Charles Krinke wrote:
> 
> I find this usually happens when /dev/tty, /dev/console or /dev/ttyS0
> are not setup properly. That is, they are files instead of nodes. This
> menas you have mounted the root filesystem and init is running on that
> root filesystem.
> 
> Charles
> 
> 
> -----Original Message-----
> From: linuxppc-embedded-bounces+ckrinke=[email-masked]
> [mailto:linuxppc-embedded-bounces+ckrinke=[email-masked]] On
> Behalf Of Adrian Craine
> Sent: Tuesday, May 08, 2007 2:50 PM
> To: Leonid
> Cc: [email-masked]; Mirek23
> Subject: Re: zImage.elf loads but does not start
> 
> Leonid wrote:
>> rootpath=
>> [    9.130834] Looking up port of RPC 100003/2 on 129.129.130.106
>> [    9.207363] Looking up port of RPC 100005/1 on 129.129.130.106
>> [    9.303794] VFS: Mounted root (nfs filesystem).
>> [    9.359316] Freeing unused kernel memory: 96k init
>> [    9.422162] Warning: unable to open an initial console.
>>
>>   
> The exact device node this requires is /dev/console c 5 1
> That should solve your issue.
> 
> Cheers,
>              Adrian.
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
> 
> 

-- 
View this message in context: http://www.nabble.com/zImage.elf-loads-but-not-starts-tf3607582.html#a10409434
Sent from the linuxppc-embedded mailing list archive at Nabble.com.